OpenTTD Source: CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list > Struct Template Reference

OpenTTD Source 15.0-beta1

Public Types
CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list > Struct Template Reference

Config struct of YAPF for ships. More...

## Public Types
typedef CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list > | Types
| Shortcut for this struct type.
typedef Tpf_ | Tpf
| Pathfinder type.
typedef Ttrack_follower | TrackFollower
| Track follower helper class.
typedef Tnode_list | NodeList
typedef Ship | VehicleType
typedef CYapfBaseT< Types > | PfBase
| Pathfinder components (modules).
typedef CYapfFollowShipT< Types > | PfFollow
| Node follower.
typedef CYapfOriginTileT< Types > | PfOrigin
| Origin provider.
typedef CYapfDestinationTileWaterT< Types > | PfDestination
| Destination/distance provider.
typedef CYapfSegmentCostCacheNoneT< Types > | PfCache
| Segment cost cache provider.
typedef CYapfCostShipT< Types > | PfCost
| Cost provider.

## Detailed Description

template<class Tpf_, class Ttrack_follower, class Tnode_list>
struct CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >

Config struct of YAPF for ships.

Defines all 6 base YAPF modules as classes providing services for CYapfBaseT.

Definition at line 405 of file yapf_ship.cpp.

## Member Typedef Documentation

## ◆ NodeList

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef Tnode_list CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::NodeList

Definition at line 410 of file yapf_ship.cpp.

## ◆ PfBase

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfBaseT<Types> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::PfBase

Pathfinder components (modules).

Base pathfinder class.

Definition at line 414 of file yapf_ship.cpp.

## ◆ PfCache

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfSegmentCostCacheNoneT<Types> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::PfCache

Segment cost cache provider.

Definition at line 418 of file yapf_ship.cpp.

## ◆ PfCost

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfCostShipT<Types> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::PfCost

Cost provider.

Definition at line 419 of file yapf_ship.cpp.

## ◆ PfDestination

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfDestinationTileWaterT<Types> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::PfDestination

Destination/distance provider.

Definition at line 417 of file yapf_ship.cpp.

## ◆ PfFollow

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfFollowShipT<Types> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::PfFollow

Node follower.

Definition at line 415 of file yapf_ship.cpp.

## ◆ PfOrigin

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfOriginTileT<Types> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::PfOrigin

Origin provider.

Definition at line 416 of file yapf_ship.cpp.

## ◆ Tpf

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef Tpf_ CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::Tpf

Pathfinder type.

Definition at line 408 of file yapf_ship.cpp.

## ◆ TrackFollower

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef Ttrack_follower CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::TrackFollower

Track follower helper class.

Definition at line 409 of file yapf_ship.cpp.

## ◆ Types

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef CYapfShip_TypesT<Tpf_, Ttrack_follower, Tnode_list> CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::Types

Shortcut for this struct type.

Definition at line 407 of file yapf_ship.cpp.

## ◆ VehicleType

template<class Tpf_ , class Ttrack_follower , class Tnode_list >

typedef Ship CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >::VehicleType

Definition at line 411 of file yapf_ship.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_ship.cpp